diff -ur ../scidavis-1.25-orig/libscidavis/src/ApplicationWindow.cpp ./libscidavis/src/ApplicationWindow.cpp
--- ../scidavis-1.25-orig/libscidavis/src/ApplicationWindow.cpp	2019-03-05 08:49:55.000000000 +0900
+++ ./libscidavis/src/ApplicationWindow.cpp	2019-04-01 00:27:10.000000000 +0900
@@ -5173,7 +5173,7 @@
 
 	if (w->inherits("Table")){
 		QStringList labels=((Table *)w)->colNames();
-		if (labels.contains(newName)>0){
+		if (labels.contains(newName)!=NULL){
 			QMessageBox::critical(this, tr("Error"),
 					tr("The table name must be different from the names of its columns!")+"<p>"+tr("Please choose another name!"));
 			return false;
@@ -7849,13 +7849,13 @@
 				Graph *g = (Graph *)widget;
 				onPlot = g->curvesList();
 				onPlot = onPlot.filter(QRegExp("^"+name+"_.*"));
-				if (onPlot.count() > 0 && plots.contains(w->name()) <= 0 )
+				if (onPlot.count() > 0 && plots.contains(w->name()) == NULL )
 					plots << w->name();
 			}
 		}
 		else if (w->inherits("Graph3D"))
 		{
-			if ((((Graph3D*)w)->formula()).contains(name,Qt::CaseSensitive) && plots.contains(w->name())<=0)
+			if ((((Graph3D*)w)->formula()).contains(name,Qt::CaseSensitive) && plots.contains(w->name())==NULL)
 				plots << w->name();
 		}
 	}
@@ -7874,7 +7874,7 @@
 		for (int j=0; j<onPlot.count(); j++)
 		{
 			QStringList tl = onPlot[j].split("_", QString::SkipEmptyParts);
-			if (tables.contains(tl[0])<=0)
+			if (tables.contains(tl[0])==NULL)
 				tables << tl[0];
 		}
 	}
@@ -10088,7 +10088,7 @@
 	if (fList[1].endsWith("(Y)",Qt::CaseSensitive))//Ribbon plot
 		plot=app->dataPlot3D(caption, fList[1],fList[2].toDouble(),fList[3].toDouble(),
 				fList[4].toDouble(),fList[5].toDouble(),fList[6].toDouble(),fList[7].toDouble());
-	else if (fList[1].contains("(Z)",Qt::CaseSensitive) > 0)
+	else if (fList[1].contains("(Z)",Qt::CaseSensitive) != NULL)
 		plot=app->dataPlotXYZ(caption, fList[1], fList[2].toDouble(),fList[3].toDouble(),
 				fList[4].toDouble(),fList[5].toDouble(),fList[6].toDouble(),fList[7].toDouble());
 	else if (fList[1].startsWith("matrix<",Qt::CaseSensitive) && fList[1].endsWith(">",Qt::CaseInsensitive))
diff -ur ../scidavis-1.25-orig/libscidavis/src/FitDialog.cpp ./libscidavis/src/FitDialog.cpp
--- ../scidavis-1.25-orig/libscidavis/src/FitDialog.cpp	2019-03-05 08:49:55.000000000 +0900
+++ ./libscidavis/src/FitDialog.cpp	2019-04-01 00:31:31.000000000 +0900
@@ -1035,7 +1035,7 @@
 {
 	QString curve = boxCurve->currentText();
 	QStringList curvesList = d_graph->curvesList();
-	if (curvesList.contains(curve) <= 0)
+	if (curvesList.contains(curve) == NULL)
 	{
 		QMessageBox::critical(this,tr("Warning"),
 				tr("The curve <b> %1 </b> doesn't exist anymore! Operation aborted!").arg(curve));
